{% extends 'core/layout_org.html' %}
{% load i18n %}
{% load translation_filters %}

{% block head_extra %}
<script type="text/javascript">
  function loadNewAssessment(assessmentTypeUuid) {
    $("#load_assessment_progrress_modal").modal("show");
    document.getElementById(assessmentTypeUuid).submit();
  }
</script>
{% endblock %}

{% block content %}

    {% include "parts/_page_header.html" with page_title=_("New assessment") %}

    <br/>

    <p>{% trans "Choose which kind of assessment you would like to start:" %}</p>

    <div class="row">

        {% for assessment_type in assessment_types %}
            {% if assessment_type.code %}
                <div class="col-sm-4 col-md-3">
                    <div class="thumbnail thumbnail-link" style="height:200px; overflow: hidden;">
                        <form
                          name="create-assessment-form-{{assessment_type.uuid}}"
                          method="POST"
                          action="{% url 'my_assessment_create_oftype' membership.pk assessment_type.code %}"
                          id="{{assessment_type.uuid}}"
                        >
                        {% csrf_token %}
                          <a href="#" onclick="loadNewAssessment('{{assessment_type.uuid}}')">
                              <div class="thumbnail-img-wrapper" style="height: 110px; text-align: center;">
                                  {% if assessment_type.has_logo %}
                                      <img
                                              src="{{ MEDIA_URL }}{{ assessment_type.logo_small }}"
                                              style="max-height: 100px; max-width: 100%; margin: auto 0;  position: relative; top: 10%;"
                                              />
                                  {% else %}
                                      <div class="assessment-logo-placeholder">
                                          <span class="{{ ICONS.assessment_type }}"></span>
                                      </div>
                                  {% endif %}
                              </div>
                              <div class="caption">
                                  <h3>
                                      {{ assessment_type.name|ugettext_filter}}
                                  </h3>
                              </div>
                          </a>
                        </form>
                    </div>
                </div>
            {% endif %}
        {% endfor %}
    </div>

    <div
      class="modal fade"
      id="load_assessment_progrress_modal"
      role="dialog"
      data-backdrop="static"
      data-keyboard="false"
    >
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-body">
                    <div class="busy-feedback">
                        <i class="fa fa-spinner fa-spin fa-3x" aria-hidden="true"></i>
                    </div>
                </div>
            </div>
        </div>
    </div>

{% endblock %}

